Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pcl
Class PCLRendererConfigurator

    java.lang.Object
      org.apache.fop.render.AbstractRendererConfigurator
          org.apache.fop.render.PrintRendererConfigurator
              org.apache.fop.render.pcl.PCLRendererConfigurator

All Implemented Interfaces:
  IFDocumentHandlerConfigurator

    public class PCLRendererConfigurator

extends PrintRendererConfigurator

PCL Renderer configurator

Field Summary

Fields inherited from class org.apache.fop.render.AbstractRendererConfigurator
`userAgent`

Constructor Summary
`PCLRendererConfigurator(FOUserAgent userAgent, RendererConfig.RendererConfigParser rendererConfigParser)` Default constructor

Method Summary
`void` | `configure(IFDocumentHandler documentHandler)` Configures a intermediate format document handler.
`protected FontCollection` | `createCollectionFromFontList(InternalResourceResolver resourceResolver, java.util.List<EmbedFontInfo> fontList)` Creates the font collection given a list of embedded font infomation.
`protected java.util.List<FontCollection>` | `getDefaultFontCollection()`

Methods inherited from class org.apache.fop.render.PrintRendererConfigurator
`configure, createDefaultInstance, getCustomFontCollection, getRendererConfig, getRendererConfig, getRendererConfig, setupFontInfo`

Methods inherited from class org.apache.fop.render.AbstractRendererConfigurator
`getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PCLRendererConfigurator

    public PCLRendererConfigurator(FOUserAgent userAgent,
                                   RendererConfig.RendererConfigParser rendererConfigParser)

  Default constructor

  Parameters:
    `userAgent` - user agent

Method Detail

### configure

    public void configure(IFDocumentHandler documentHandler)
                   throws FOPException

  Configures a intermediate format document handler.

  Specified by:
    `configure` in interface `IFDocumentHandlerConfigurator`
  Overrides:
    `configure` in class `PrintRendererConfigurator`
  Parameters:
    `documentHandler` - the document handler instance
  Throws:
    `FOPException` - if an error occurs while configuring the object

### getDefaultFontCollection

    protected java.util.List<FontCollection> getDefaultFontCollection()

  Specified by:
    `getDefaultFontCollection` in class `PrintRendererConfigurator`

### createCollectionFromFontList

    protected FontCollection createCollectionFromFontList(InternalResourceResolver resourceResolver,
                                                          java.util.List<EmbedFontInfo> fontList)

  Description copied from class: `PrintRendererConfigurator`
  Creates the font collection given a list of embedded font infomation.

  Overrides:
    `createCollectionFromFontList` in class `PrintRendererConfigurator`
  Parameters:
    `resourceResolver` - the resource resolver
    `fontList` - the embedded font infomation
  Returns:
    the font collection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.